local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	-- English translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "deDE" then
	-- German translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "frFR" then
	-- French translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "ptBR" then
	-- Brazilian Portuguese translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "ruRU" then
	-- Russian translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "koKR" then
	-- Korean translations go here
	L["DODGE"] = "회피"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "zhCN" then
	-- Simplified Chinese translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end

if LOCALE == "zhTW" then
	-- Traditional Chinese translations go here
	L["DODGE"] = "Dodge"
	L["CRIT"] = "Crit"
	L["AP"] = "AP"
	L["BLOCK"] = "Block"
	L["SPELLCRIT"] = "Spell Crit"
	L["MANA"] = "Mana"
	L["HEALTH"] = "Health"
	L["MANAREGEN"] = "Mana Regen"
return end